## sasa 0.2

=== Makefile ===
#!/usr/bin/make -f

BIN=src/socket-activate

OBJECTS=src/socket-activate.o

MAN=socket-activate.1

CPPFLAGS_STD?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -D_DEFAULT_SOURCE -D_GNU_SOURCE

CPPFLAGS+=	${CPPFLAGS_STD}

CFLAGS_OPT?=	-O2 -g -pipe
CFLAGS_STD?=	-std=c99
CFLAGS_WARN?=	-Wall -W -Wextra

CFLAGS?=	${CFLAGS_OPT}
CFLAGS+=	${CFLAGS_STD} ${CFLAGS_WARN}

INSTALL?= install
PREFIX?= /usr/local

all: $(BIN) $(MAN)

src/socket-activate: src/socket-activate.o

socket-activate.1: socket-activate.md
	pandoc -s -t man -o $@ $<

install: install_bin install_man

install_bin: $(BIN)
	$(INSTALL) -D -m 755 $< $(DESTDIR)$(PREFIX)/bin/$(notdir $<)

install_man: $(MAN)
	$(INSTALL) -D -m 664 $< $(DESTDIR)$(PREFIX)/share/man/man1/$<

clean:
	rm -f $(BIN) $(OBJECTS) $(MAN) tests/expected tests/stderr tests/stdout
	find tests/ -type s -name 'sock*' -delete

SOCKET_ACTIVATE='$(CURDIR)/src/socket-activate'
check: src/socket-activate
	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/basic
	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/options
	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/cmdline
	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/unix
	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/inet

.PHONY: install install_bin install_man clean all check

=== debian/changelog ===
sasa (0.2-2) unstable; urgency=medium

  * tests/inet uses IPV4. Cherry pick upstream patch to fix FTBFS on some
    buildd hosts that use IPV6 by default.

 -- Mark Hindley <leepen@debian.org>  Wed, 31 Jul 2024 21:09:05 +0100

sasa (0.2-1) unstable; urgency=medium

  * New upstream version.
  * d/t/control: coinstall needs-root.

 -- Mark Hindley <leepen@debian.org>  Wed, 31 Jul 2024 07:26:35 +0100

sasa (0.1-2) unstable; urgency=medium

  * d/postrm: fix typo in diversion; fixes piuparts error.
  * d/control: update Vcs- URLs.

 -- Mark Hindley <leepen@debian.org>  Mon, 29 Jul 2024 10:13:17 +0100

sasa (0.1-1) unstable; urgency=medium

  * Initial version

 -- Mark Hindley <leepen@debian.org>  Thu, 18 Jul 2024 16:54:31 +0100

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://git.devuan.org/LeePen/standalone-socket-activate \
refs/tags/([\d\.]+) main uupdate

## sasa 0.3

=== Makefile ===
--- 
+++ 
@@ -41,10 +41,10 @@
 
 SOCKET_ACTIVATE='$(CURDIR)/src/socket-activate'
 check: src/socket-activate
-	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/basic
-	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/options
-	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/cmdline
-	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/unix
-	SOCKET_ACTIVATE='$(SOCKET_ACTIVATE)' ./tests/inet
+	SOCKET_ACTIVATE=$(SOCKET_ACTIVATE) ./tests/basic
+	SOCKET_ACTIVATE=$(SOCKET_ACTIVATE) ./tests/options
+	SOCKET_ACTIVATE=$(SOCKET_ACTIVATE) ./tests/cmdline
+	SOCKET_ACTIVATE=$(SOCKET_ACTIVATE) ./tests/unix
+	SOCKET_ACTIVATE=$(SOCKET_ACTIVATE) ./tests/inet
 
 .PHONY: install install_bin install_man clean all check

=== debian/changelog ===
sasa (0.3-1) unstable; urgency=medium

  * New upstream version 0.3.
  * Drop patch fixed upstream.
  * d/watch: fixup -- remove spurious 'main'.

 -- Mark Hindley <leepen@debian.org>  Sun, 13 Oct 2024 13:21:22 +0100

=== debian/control ===
Source: sasa
Section: admin
Priority: optional
Maintainer: Mark Hindley <leepen@debian.org>
Build-Depends: debhelper-compat (= 13),
               pandoc,
	       python3-minimal <!nocheck>,
	       socat <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://git.devuan.org/leepen/standalone-socket-activate.git -b debian/main
Vcs-Browser: https://git.devuan.org/leepen/standalone-socket-activate/src/branch/debian/main
Homepage: https://git.devuan.org/leepen/standalone-socket-activate

Package: sasa
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: socket-activate
Description: standalone systemd-style socket activation implementation
 lightweight C-implementaiton for use on systems without systemd.
 .
 Can be used by system-wide service supervisors such as openrc, or directly as
 an unprivileged user.

=== debian/tests/control ===
Tests: coinstall
Restrictions: skip-not-installable, allow-stderr, needs-root
Depends: socket-activate

Tests: upstream
Restrictions: allow-stderr
Depends:
 @, python3-minimal, socat,

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://git.devuan.org/LeePen/standalone-socket-activate \
refs/tags/([\d\.]+)

## sasa 0.4

=== debian/changelog ===
sasa (0.4-2) unstable; urgency=medium

  * d/t/control: change dependency from socat to netcat-openbsd.

 -- Mark Hindley <leepen@debian.org>  Sun, 11 Jan 2026 09:36:45 +0000

sasa (0.4-1) unstable; urgency=medium

  * New upstream version 0.4.
    - includes GNU/Hurd support
  * d/control:
    - bump Standards Version
    - drop Priority: optional
    - drop 'R³: no' now it is the default.
    - switch Build-Depends from socat to netcat-openbsd.

 -- Mark Hindley <leepen@debian.org>  Thu, 08 Jan 2026 11:49:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: sasa
 Section: admin
-Priority: optional
 Maintainer: Mark Hindley <leepen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pandoc,
 	       python3-minimal <!nocheck>,
-	       socat <!nocheck>,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+	       netcat-openbsd <!nocheck>,
+Standards-Version: 4.7.3
 Vcs-Git: https://git.devuan.org/leepen/standalone-socket-activate.git -b debian/main
 Vcs-Browser: https://git.devuan.org/leepen/standalone-socket-activate/src/branch/debian/main
 Homepage: https://git.devuan.org/leepen/standalone-socket-activate

=== debian/tests/control ===
--- 
+++ 
@@ -5,4 +5,4 @@
 Tests: upstream
 Restrictions: allow-stderr
 Depends:
- @, python3-minimal, socat,
+ @, python3-minimal, netcat-openbsd,
